{include file="header.tpl"}
<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">
		<table class="tblList">
		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
				<tr>
					<td class="tblPagingLeft" colspan="7" align="right">
						{include file="pager.tpl" pager_data=$paging_data}
					</td>
				</tr>
				<tr class="tblHeader">
					<td>
						{include file="column_sort.tpl" label="Name" sort_column="name" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						{include file="column_sort.tpl" label="City" sort_column="city" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						{include file="column_sort.tpl" label="Province" sort_column="province" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						Functions
					</td>
					<td>
						<input type="checkbox" class="checkbox" name="select_all" onClick="CheckAll(this)"/>
					</td>
				</tr>
				{foreach from=$companies item=company}
					{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
					{if $company.deleted == TRUE}
						{assign var="row_class" value="tblDataDeleted"}
					{/if}
					<tr class="{$row_class}">
						<td>
							{$company.name}
						</td>
						<td>
							{$company.city}
						</td>
						<td>
							{$company.province}
						</td>
						<td>
							{assign var="company_id" value=$company.id}
							{if $permission->Check('company','view')}
							{*
								[ View ]
							*}
							{/if}
							{if $permission->Check('company','edit')}
								[ <a href="{urlbuilder script="EditCompany.php" values="id=$company_id" merge="FALSE"}">Edit</a> ]
							{/if}
							{if $permission->Check('company','edit_own_bank')}
								[ <a href="{urlbuilder script="../bank_account/EditBankAccount.php" values="company_id=$company_id" merge="FALSE"}">Bank</a> ]
							{/if}

						</td>
						<td>
							<input type="checkbox" class="checkbox" name="ids[]" value="{$company.id}">
						</td>
					</tr>
				{/foreach}
				<tr>
					<td class="tblActionRow" colspan="7">
						{if $permission->Check('company','add')}
							<input type="submit" class="btnAdd" name="action" value="Add">
						{/if}
						{if $permission->Check('company','delete')}
							<input type="submit" class="btnDelete" name="action" value="Delete" onClick="return confirmSubmit()">
						{/if}
						{if $permission->Check('company','undelete')}
							<input type="submit" class="btnUnDelete" name="action" value="UnDelete">
						{/if}
					</td>
				</tr>
				<tr>
					<td class="tblPagingLeft" colspan="7" align="right">
						{include file="pager.tpl" pager_data=$paging_data}
					</td>
				</tr>
			<input type="hidden" name="sort_column" value="{$sort_column}">
			<input type="hidden" name="sort_order" value="{$sort_order}">
			<input type="hidden" name="page" value="{$paging_data.current_page}">
			</table>
		</form>
	</div>
</div>
{include file="footer.tpl"}
